Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 228063006: Remove special cases for viewport units, and add tests for viewport units in calc(). (Closed)

Created:
4 years, 11 months ago by andersr
Modified:
4 years, 10 months ago
CC:
blink-reviews, shans, rjwright, alancutter (OOO until 2018), Mike Lawther (Google), dstockwell, Timothy Loh, darktears, Steve Block, dino_apple.com, Eric Willigers
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Remove special cases for viewport units, and add tests for viewport units in calc(). The check for viewport units in AnimatableLength::interpolateTo should no longer be necessary now that viewport values are resolved at style recalc time. BUG=137617, 168840 TEST=animations/viewport-unit.html css3/calc/viewport-unit.html Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=172971

Patch Set 1 #

Total comments: 1

Patch Set 2 : Rebase #

Patch Set 3 : Convert to interpolation test. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+87 lines, -21 lines) Patch
A LayoutTests/animations/interpolation/viewport-unit-interpolation.html View 1 2 1 chunk +43 lines, -0 lines 0 comments Download
A LayoutTests/animations/interpolation/viewport-unit-interpolation-expected.txt View 1 2 1 chunk +16 lines, -0 lines 0 comments Download
A LayoutTests/css3/calc/viewport-unit.html View 1 chunk +14 lines, -0 lines 0 comments Download
A LayoutTests/css3/calc/viewport-unit-expected.html View 1 chunk +14 lines, -0 lines 0 comments Download
M Source/core/animation/AnimatableLength.h View 1 2 chunks +0 lines, -9 lines 0 comments Download
M Source/core/animation/AnimatableLength.cpp View 1 1 chunk +0 lines, -12 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
andersr
4 years, 11 months ago (2014-04-11 12:55:11 UTC) #1
alancutter (OOO until 2018)
lgtm with nits. The description title should also mention the code removal in this patch. ...
4 years, 11 months ago (2014-04-15 05:34:07 UTC) #2
andersr
The CQ bit was checked by andersr@opera.com
4 years, 11 months ago (2014-04-23 11:10:29 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/andersr@opera.com/228063006/40001
4 years, 11 months ago (2014-04-23 11:10:41 UTC) #4
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
4 years, 11 months ago (2014-04-23 11:17:24 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.blink on blink_presubmit
4 years, 11 months ago (2014-04-23 11:17:25 UTC) #6
andersr
dstockwell, you should probably review this, as I'm removing a piece of code you added.
4 years, 11 months ago (2014-04-29 07:40:05 UTC) #7
dstockwell
lgtm
4 years, 10 months ago (2014-04-30 11:00:54 UTC) #8
andersr
The CQ bit was checked by andersr@opera.com
4 years, 10 months ago (2014-04-30 11:10:47 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/andersr@opera.com/228063006/40001
4 years, 10 months ago (2014-04-30 11:10:57 UTC) #10
commit-bot: I haz the power
4 years, 10 months ago (2014-04-30 11:17:13 UTC) #11
Message was sent while issue was closed.
Change committed as 172971

Powered by Google App Engine
This is Rietveld 408576698